Bug 972667 - network services should be a hardening build / PIE / RELRO
network services should be a hardening build / PIE / RELRO
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mediatomb (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 07:30 EDT by Harald Reindl
Modified: 2013-07-22 21:16 EDT (History)
1 user (show)

See Also:
Fixed In Version: mediatomb-0.12.1-29.fc19.20120403gitb66dc1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 21:06:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-06-10 07:30:35 EDT
[root@srv-rhsoft:~]$ hardening-check.sh /usr/bin/mediatomb
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/mediatomb

/usr/bin/mediatomb:
 Position Independent Executable: no, normal executable!
 Stack protected: yes
 Fortify Source functions: yes (some protected functions found)
 Read-only relocations: yes
 Immediate binding: no, not found!
Comment 1 Fedora Update System 2013-07-11 09:29:03 EDT
mediatomb-0.12.1-29.fc19.20120403gitb66dc1 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-29.fc19.20120403gitb66dc1
Comment 2 Fedora Update System 2013-07-11 09:30:55 EDT
mediatomb-0.12.1-29.fc18.20120403gitb66dc1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-29.fc18.20120403gitb66dc1
Comment 3 Fedora Update System 2013-07-11 23:02:04 EDT
Package mediatomb-0.12.1-29.fc19.20120403gitb66dc1:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediatomb-0.12.1-29.fc19.20120403gitb66dc1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12784/mediatomb-0.12.1-29.fc19.20120403gitb66dc1
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-22 21:06:05 EDT
mediatomb-0.12.1-29.fc18.20120403gitb66dc1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-07-22 21:16:27 EDT
mediatomb-0.12.1-29.fc19.20120403gitb66dc1 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.